current_corner default
set_parasitic_parameters -early_spec cbest -early_temperature -40 -late_spec cworst -late_temperature 125 -library sram_chiplet.dlib
set_operating_conditions -max_library cln28ht -max ffg_cbestt_min_0p99v_m40c -min_library cln28ht -min ssg_cworstt_max_0p81v_125c
set_process_number -early 1 -late 1 -corners default
set_temperature 125 -min -40 -corners default
set_voltage 0.81 -min 0.99 -corners default

set_voltage 0.99 -min 0.81 -corners default -object_list [list [get_supply_nets VDD] [get_supply_nets AVDD]]
set_voltage 1.98 -min 1.62 -corners default -object_list [list [get_supply_nets AVDDHV]]
set_voltage 0.00 -corners default -object_list [list [get_supply_nets VSS] [get_supply_nets AGND]]



redirect -tee -file ./precompile_checks.log {compile_fusion -check_only}

explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_cd_pl_rev_M1_m_tlx}]
change_selection [get_cells u_top_sram_chiplet/u_master_pwr_M1_m_tlx]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_master_pwr_M1_m_tlx}]
change_selection [get_cells u_top_sram_chiplet/eq_268]
change_selection [get_cells u_top_sram_chiplet/u_nic400_sram_chiplet]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_nic400_sram_chiplet}]
change_selection [get_cells u_top_sram_chiplet/u_slave_pwd_M1_m_tlx]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_slave_pwd_M1_m_tlx}]
change_selection [get_cells u_top_sram_chiplet/u_pl_fwd_M1_m_tlx_m]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_pl_fwd_M1_m_tlx_m}]
change_selection [get_cells u_top_sram_chiplet/u_SRAM_wrapper_0]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_SRAM_wrapper_0}]
change_selection [get_cells u_top_sram_chiplet/u_SRAM_wrapper_1]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_SRAM_wrapper_1}]
change_selection [get_cells u_top_sram_chiplet/u_SRAM_wrapper_2]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_SRAM_wrapper_2}]
change_selection [get_cells u_top_sram_chiplet/u_SRAM_wrapper_3]
explore_logic_hierarchy -create_module_boundary -nested -cell [get_cells -design [current_block] {u_top_sram_chiplet/u_SRAM_wrapper_3}]
explore_logic_hierarchy -place -rectangular
save_lib sram_chiplet.dlib
