create_bump_array -name bump_array -lib_cell PAD80MTB_EU -origin {36.850 100.000} -delta {167 167}

remove_io_guides -all 

# Top IO Guide
create_io_guide -name {main_io.top} -side top -line {{110.000 2639.600} 1950.94} -offset {0.000 0.000} -pad_cells [list  \
        TLX_data_tdata[0].u_TLX_IN_data_fwd_tdata \
        u_PAD_VDDIO_top \
        TLX_data_tdata[1].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[2].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[3].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[4].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[5].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[6].u_TLX_IN_data_fwd_tdata \
        u_PAD_IN_FWD_CLK \
        u_PAD_VSSIO_top \
        TLX_data_tdata[7].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[8].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[9].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[10].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[11].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[12].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[13].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[14].u_TLX_IN_data_fwd_tdata \
        TLX_data_tdata[15].u_TLX_IN_data_fwd_tdata \
        u_PAD_TLX_IN_flow_fwd_0_tdata_1 \
        TLX_data_tdata[0].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[1].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[2].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[3].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[4].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[5].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[6].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[8].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[9].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[10].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[11].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[12].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[13].u_TLX_IN_data_rev_tdata \
        TLX_data_tdata[14].u_TLX_IN_data_rev_tdata ]

create_io_guide -name {main_io.bottom} -side bottom -line {{2060.940 0.000} 1950.94} -offset {0.000 0.000} -pad_cells [list \
        TLX_data_tdata[8].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[9].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[10].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[11].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[12].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[13].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[14].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[0].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[1].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[2].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[3].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[4].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[5].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[6].u_TLX_data_rev_1_tdata \
        TLX_data_tdata[8].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[9].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[10].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[11].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[12].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[13].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[14].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[15].u_TLX_data_fwd_1_tdata \
        u_PAD_TLX_flow_fwd_1_tdata_1 \
        TLX_data_tdata[0].u_TLX_data_fwd_1_tdata \
        u_PAD_VDDIO_bottom \
        TLX_data_tdata[1].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[2].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[3].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[4].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[5].u_TLX_data_fwd_1_tdata \
        TLX_data_tdata[6].u_TLX_data_fwd_1_tdata \
        u_PAD_OUT_FWD_CLK \
        u_PAD_VSSIO_bottom \
        TLX_data_tdata[7].u_TLX_data_fwd_1_tdata ]

create_io_guide -name {main_io.left} -side left -line {{0.000 110.000} 2419.6} -offset {0.000 0.000} -pad_cells [list \
        u_PAD_TLX_IN_data_fwd_0_tready \
        u_PAD_TLX_IN_flow_fwd_0_tready \
        u_PAD_TLX_IN_flow_fwd_0_tdata_0 \
        u_PAD_VDD_top \
        u_PAD_TLX_IN_data_rev_0_tready \
        u_PAD_IN_REV_CLK \
        u_PAD_TLX_IN_flow_rev_0_tready \
        u_PAD_TLX_IN_flow_rev_0_tdata_0 \
        u_PAD_TLX_IN_flow_rev_0_tdata_1 \
        u_PAD_VDD_left \
        u_PAD_VDDIO_POC_left \
        u_PAD_VSSIO_left \
        u_PAD_DL_FWD_RESETn \
        u_PAD_aRESETn \
        u_PAD_VSS_left \
        u_PAD_REF_CLK \
        u_PAD_AGNDHV_left \
        u_PAD_AGND_left \
        u_PAD_AVDD_left \
        u_PAD_AVDDHV_left \
        u_PAD_TLX_flow_rev_1_tready \
        u_PAD_TLX_flow_rev_1_tdata_0 \
        u_PAD_TLX_flow_rev_1_tdata_1 \
        u_PAD_VDD_bottom \
        u_PAD_TLX_data_rev_1_tready \
        u_PAD_OUT_REV_CLK \
        u_PAD_TLX_flow_fwd_1_tready \
        u_PAD_TLX_flow_fwd_1_tdata_0 \
        u_PAD_TLX_data_fwd_1_tready ]

create_io_guide -name {main_io.right} -side right -line {{2170.940 2529.600} 2419.6} -offset {0.000 0.000} -pad_cells [list \
        u_PAD_TLX_IN_data_fwd_0_tvalid \
        u_PAD_TLX_IN_flow_fwd_0_tvalid \
        u_PAD_PLL_LOCK_i \
        TLX_data_tdata[7].u_TLX_IN_data_rev_tdata \
        u_PAD_TLX_IN_data_rev_0_tvalid \
        u_PAD_VSS_top \
        TLX_data_tdata[15].u_TLX_IN_data_rev_tdata \
        u_PAD_TLX_IN_flow_rev_0_tdata_2 \
        u_PAD_TLX_IN_flow_rev_0_tvalid \
        u_PAD_VSS_right \
	u_PAD_VDD_top_right \
        gen_addr_sel[0].u_PAD_addr_sel \
        gen_addr_sel[1].u_PAD_addr_sel \
        gen_addr_sel[2].u_PAD_addr_sel \
        gen_addr_sel[3].u_PAD_addr_sel \
        u_PAD_VDD_right \
        u_PAD_VDDIO_right \
        u_PAD_VSSIO_right \
        TLX_data_tdata[15].u_TLX_data_rev_1_tdata \
        u_PAD_TLX_flow_rev_1_tdata_2 \
        u_PAD_TLX_flow_rev_1_tvalid \
        TLX_data_tdata[7].u_TLX_data_rev_1_tdata \
        u_PAD_TLX_data_rev_1_tvalid \
        u_PAD_VSS_bottom \
        u_PAD_TLX_flow_fwd_1_tvalid \
        u_PAD_PLL_LOCK_o \
        u_PAD_TLX_data_fwd_1_tvalid ]

create_io_corner_cell {main_io.left main_io.top} -reference_cell PCORNER_G
create_io_corner_cell {main_io.bottom main_io.left} -reference_cell PCORNER_G
create_io_corner_cell {main_io.top main_io.right} -reference_cell PCORNER_G
create_io_corner_cell {main_io.right main_io.bottom} -reference_cell PCORNER_G


# Top IO
create_matching_type -name "TLX_IN_fwd_tready" -uniquify 0 [list [get_cells bump_array_14_0] [get_pins u_PAD_TLX_IN_data_fwd_0_tready/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata0" -uniquify 0 [list [get_cells bump_array_14_1] [get_pins TLX_data_tdata[0].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "VDDIO_top" -uniquify 0 [list [get_cells bump_array_14_2] [get_pins u_PAD_VDDIO_top/VDDPST]]
create_matching_type -name "TLX_IN_fwd_tdata1" -uniquify 0 [list [get_cells bump_array_14_3] [get_pins TLX_data_tdata[1].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata2" -uniquify 0 [list [get_cells bump_array_14_4] [get_pins TLX_data_tdata[2].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata3" -uniquify 0 [list [get_cells bump_array_14_5] [get_pins TLX_data_tdata[3].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata4" -uniquify 0 [list [get_cells bump_array_14_6] [get_pins TLX_data_tdata[4].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata5" -uniquify 0 [list [get_cells bump_array_14_7] [get_pins TLX_data_tdata[5].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata6" -uniquify 0 [list [get_cells bump_array_14_8] [get_pins TLX_data_tdata[6].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_clk" -uniquify 0 [list [get_cells bump_array_14_9] [get_pins u_PAD_IN_FWD_CLK/PAD]]
create_matching_type -name "VSSIO_top" -uniquify 0 [list [get_cells bump_array_14_10] [get_pins u_PAD_VSSIO_top/VSSPST]]
create_matching_type -name "TLX_IN_fwd_tdata7" -uniquify 0 [list [get_cells bump_array_14_11] [get_pins TLX_data_tdata[7].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tvalid" -uniquify 0 [list [get_cells bump_array_14_12] [get_pins u_PAD_TLX_IN_data_fwd_0_tvalid/PAD]]

create_matching_type -name "TLX_IN_fwd_flw_tready" -uniquify 0 [list [get_cells bump_array_13_0] [get_pins u_PAD_TLX_IN_flow_fwd_0_tready/PAD]]
create_matching_type -name "TLX_IN_fwd_flw_tdata0" -uniquify 0 [list [get_cells bump_array_13_1] [get_pins u_PAD_TLX_IN_flow_fwd_0_tdata_0/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata8" -uniquify 0 [list [get_cells bump_array_13_2] [get_pins  TLX_data_tdata[8].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata9" -uniquify 0 [list [get_cells bump_array_13_3] [get_pins  TLX_data_tdata[9].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata10" -uniquify 0 [list [get_cells bump_array_13_4] [get_pins TLX_data_tdata[10].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata11" -uniquify 0 [list [get_cells bump_array_13_5] [get_pins TLX_data_tdata[11].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata12" -uniquify 0 [list [get_cells bump_array_13_6] [get_pins TLX_data_tdata[12].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata13" -uniquify 0 [list [get_cells bump_array_13_7] [get_pins TLX_data_tdata[13].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata14" -uniquify 0 [list [get_cells bump_array_13_8] [get_pins TLX_data_tdata[14].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_tdata15" -uniquify 0 [list [get_cells bump_array_13_9] [get_pins TLX_data_tdata[15].u_TLX_IN_data_fwd_tdata/PAD]]
create_matching_type -name "TLX_IN_fwd_flw_tdata1" -uniquify 0 [list [get_cells bump_array_13_10] [get_pins u_PAD_TLX_IN_flow_fwd_0_tdata_1/PAD]]
create_matching_type -name "TLX_IN_fwd_flw_tvalid" -uniquify 0 [list [get_cells bump_array_13_11] [get_pins u_PAD_TLX_IN_flow_fwd_0_tvalid/PAD]]
create_matching_type -name "PLL_LCK_i" -uniquify 0 [list [get_cells bump_array_13_12] [get_pins u_PAD_PLL_LOCK_i/PAD]]

create_matching_type -name "VDD_top" -uniquify 0 [list [get_cells bump_array_12_0] [get_pins u_PAD_VDD_top/VDD]]
create_matching_type -name "TLX_IN_rev_tready" -uniquify 0 [list [get_cells bump_array_12_1] [get_pins u_PAD_TLX_IN_data_rev_0_tready/PAD]]
create_matching_type -name "TLX_IN_rev_clk" -uniquify 0 [list [get_cells bump_array_12_2] [get_pins u_PAD_IN_REV_CLK/PAD]]
create_matching_type -name "TLX_IN_rev_tdata0" -uniquify 0 [list [get_cells bump_array_12_3]  [get_pins TLX_data_tdata[0].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata1" -uniquify 0 [list [get_cells bump_array_12_4]  [get_pins TLX_data_tdata[1].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata2" -uniquify 0 [list [get_cells bump_array_12_5]  [get_pins TLX_data_tdata[2].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata3" -uniquify 0 [list [get_cells bump_array_12_6]  [get_pins TLX_data_tdata[3].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata4" -uniquify 0 [list [get_cells bump_array_12_7]  [get_pins TLX_data_tdata[4].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata5" -uniquify 0 [list [get_cells bump_array_12_8]  [get_pins TLX_data_tdata[5].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata6" -uniquify 0 [list [get_cells bump_array_12_9]  [get_pins TLX_data_tdata[6].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata7" -uniquify 0 [list [get_cells bump_array_12_10] [get_pins TLX_data_tdata[7].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tvalid" -uniquify 0 [list [get_cells bump_array_12_11] [get_pins u_PAD_TLX_IN_data_rev_0_tvalid/PAD]]
create_matching_type -name "VSS_top" -uniquify 0 [list [get_cells bump_array_12_12] [get_pins u_PAD_VSS_top/VSS]]

create_matching_type -name "TLX_IN_rev_flw_tready" -uniquify 0 [list [get_cells bump_array_11_0] [get_pins u_PAD_TLX_IN_flow_rev_0_tready/PAD]]
create_matching_type -name "TLX_IN_rev_flw_tdata0" -uniquify 0 [list [get_cells bump_array_11_1] [get_pins u_PAD_TLX_IN_flow_rev_0_tdata_0/PAD]]
create_matching_type -name "TLX_IN_rev_flw_tdata1" -uniquify 0 [list [get_cells bump_array_11_2] [get_pins u_PAD_TLX_IN_flow_rev_0_tdata_1/PAD]]
create_matching_type -name "TLX_IN_rev_tdata8" -uniquify 0 [list [get_cells bump_array_11_3]  [get_pins TLX_data_tdata[8].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata9" -uniquify 0 [list [get_cells bump_array_11_4]  [get_pins TLX_data_tdata[9].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata10" -uniquify 0 [list [get_cells bump_array_11_5] [get_pins TLX_data_tdata[10].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata11" -uniquify 0 [list [get_cells bump_array_11_6] [get_pins TLX_data_tdata[11].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata12" -uniquify 0 [list [get_cells bump_array_11_7] [get_pins TLX_data_tdata[12].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata13" -uniquify 0 [list [get_cells bump_array_11_8] [get_pins TLX_data_tdata[13].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata14" -uniquify 0 [list [get_cells bump_array_11_9] [get_pins TLX_data_tdata[14].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_tdata15" -uniquify 0 [list [get_cells bump_array_11_10] [get_pins TLX_data_tdata[15].u_TLX_IN_data_rev_tdata/PAD]]
create_matching_type -name "TLX_IN_rev_flw_tdata2" -uniquify 0 [list [get_cells bump_array_11_11] [get_pins u_PAD_TLX_IN_flow_rev_0_tdata_2/PAD]]
create_matching_type -name "TLX_IN_rev_flw_tvalid" -uniquify 0 [list [get_cells bump_array_11_12] [get_pins u_PAD_TLX_IN_flow_rev_0_tvalid/PAD]]

# Bottom IO
create_matching_type -name "TLX_OUT_fwd_tready" -uniquify 0 [list [get_cells bump_array_0_0] [get_pins u_PAD_TLX_data_fwd_1_tready/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata0" -uniquify 0 [list [get_cells bump_array_0_1] [get_pins TLX_data_tdata[0].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "VDDIO_bottom" -uniquify 0 [list [get_cells bump_array_0_2] [get_pins u_PAD_VDDIO_bottom/VDDPST]]
create_matching_type -name "TLX_OUT_fwd_tdata1" -uniquify 0 [list [get_cells bump_array_0_3] [get_pins TLX_data_tdata[1].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata2" -uniquify 0 [list [get_cells bump_array_0_4] [get_pins TLX_data_tdata[2].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata3" -uniquify 0 [list [get_cells bump_array_0_5] [get_pins TLX_data_tdata[3].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata4" -uniquify 0 [list [get_cells bump_array_0_6] [get_pins TLX_data_tdata[4].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata5" -uniquify 0 [list [get_cells bump_array_0_7] [get_pins TLX_data_tdata[5].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata6" -uniquify 0 [list [get_cells bump_array_0_8] [get_pins TLX_data_tdata[6].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_FWD_CLK" -uniquify 0 [list [get_cells bump_array_0_9] [get_pins u_PAD_OUT_FWD_CLK/PAD]]
create_matching_type -name "VSSIO_bottom" -uniquify 0 [list [get_cells bump_array_0_10] [get_pins u_PAD_VSSIO_bottom/VSSPST]]
create_matching_type -name "TLX_OUT_fwd_tdata7" -uniquify 0 [list [get_cells bump_array_0_11] [get_pins TLX_data_tdata[7].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tvalid" -uniquify 0 [list [get_cells bump_array_0_12] [get_pins u_PAD_TLX_data_fwd_1_tvalid/PAD]]

create_matching_type -name "TLX_OUT_fwd_flw_tready" -uniquify 0 [list [get_cells bump_array_1_0] [get_pins u_PAD_TLX_flow_fwd_1_tready/PAD]]
create_matching_type -name "TLX_OUT_fwd_flw_tdata0" -uniquify 0 [list [get_cells bump_array_1_1] [get_pins u_PAD_TLX_flow_fwd_1_tdata_0/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata8" -uniquify 0 [list [get_cells bump_array_1_2]  [get_pins TLX_data_tdata[8].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata9" -uniquify 0 [list [get_cells bump_array_1_3]  [get_pins TLX_data_tdata[9].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata10" -uniquify 0 [list [get_cells bump_array_1_4] [get_pins TLX_data_tdata[10].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata11" -uniquify 0 [list [get_cells bump_array_1_5] [get_pins TLX_data_tdata[11].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata12" -uniquify 0 [list [get_cells bump_array_1_6] [get_pins TLX_data_tdata[12].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata13" -uniquify 0 [list [get_cells bump_array_1_7] [get_pins TLX_data_tdata[13].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata14" -uniquify 0 [list [get_cells bump_array_1_8] [get_pins TLX_data_tdata[14].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_tdata15" -uniquify 0 [list [get_cells bump_array_1_9] [get_pins TLX_data_tdata[15].u_TLX_data_fwd_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_fwd_flw_tdata1" -uniquify 0 [list [get_cells bump_array_1_10] [get_pins u_PAD_TLX_flow_fwd_1_tdata_1/PAD]]
create_matching_type -name "TLX_OUT_fwd_flw_tvalid" -uniquify 0 [list [get_cells bump_array_1_11] [get_pins u_PAD_TLX_flow_fwd_1_tvalid/PAD]]
create_matching_type -name "PLL_LCK_o" -uniquify 0 [list [get_cells bump_array_1_12] [get_pins u_PAD_PLL_LOCK_o/PAD]]

create_matching_type -name "VDD_bottom" -uniquify 0 [list [get_cells bump_array_2_0] [get_pins u_PAD_VDD_bottom/VDD]]
create_matching_type -name "TLX_OUT_rev_tready" -uniquify 0 [list [get_cells bump_array_2_1] [get_pins u_PAD_TLX_data_rev_1_tready/PAD]]
create_matching_type -name "TLX_OUT_REV_CLK" -uniquify 0 [list [get_cells bump_array_2_2] [get_pins u_PAD_OUT_REV_CLK/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata0" -uniquify 0 [list [get_cells bump_array_2_3] [get_pins TLX_data_tdata[0].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata1" -uniquify 0 [list [get_cells bump_array_2_4] [get_pins TLX_data_tdata[1].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata2" -uniquify 0 [list [get_cells bump_array_2_5] [get_pins TLX_data_tdata[2].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata3" -uniquify 0 [list [get_cells bump_array_2_6] [get_pins TLX_data_tdata[3].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata4" -uniquify 0 [list [get_cells bump_array_2_7] [get_pins TLX_data_tdata[4].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata5" -uniquify 0 [list [get_cells bump_array_2_8] [get_pins TLX_data_tdata[5].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata6" -uniquify 0 [list [get_cells bump_array_2_9] [get_pins TLX_data_tdata[6].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata7" -uniquify 0 [list [get_cells bump_array_2_10] [get_pins TLX_data_tdata[7].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tvalid" -uniquify 0 [list [get_cells bump_array_2_11] [get_pins u_PAD_TLX_data_rev_1_tvalid/PAD]]
create_matching_type -name "VSS_bottom" -uniquify 0 [list [get_cells bump_array_2_12] [get_pins u_PAD_VSS_bottom/VSS]]

create_matching_type -name "TLX_OUT_rev_flw_tready" -uniquify 0 [list [get_cells bump_array_3_0] [get_pins u_PAD_TLX_flow_rev_1_tready/PAD]]
create_matching_type -name "TLX_OUT_rev_flw_tdata0" -uniquify 0 [list [get_cells bump_array_3_1] [get_pins u_PAD_TLX_flow_rev_1_tdata_0/PAD]]
create_matching_type -name "TLX_OUT_rev_flw_tdata1" -uniquify 0 [list [get_cells bump_array_3_2] [get_pins u_PAD_TLX_flow_rev_1_tdata_1/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata8" -uniquify 0 [list [get_cells bump_array_3_3]   [get_pins TLX_data_tdata[8].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata9" -uniquify 0 [list [get_cells bump_array_3_4]   [get_pins TLX_data_tdata[9].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata10" -uniquify 0 [list [get_cells bump_array_3_5]  [get_pins TLX_data_tdata[10].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata11" -uniquify 0 [list [get_cells bump_array_3_6]  [get_pins TLX_data_tdata[11].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata12" -uniquify 0 [list [get_cells bump_array_3_7]  [get_pins TLX_data_tdata[12].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata13" -uniquify 0 [list [get_cells bump_array_3_8]  [get_pins TLX_data_tdata[13].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata14" -uniquify 0 [list [get_cells bump_array_3_9]  [get_pins TLX_data_tdata[14].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_tdata15" -uniquify 0 [list [get_cells bump_array_3_10] [get_pins TLX_data_tdata[15].u_TLX_data_rev_1_tdata/PAD]]
create_matching_type -name "TLX_OUT_rev_flw_tdata2" -uniquify 0 [list [get_cells bump_array_3_11] [get_pins u_PAD_TLX_flow_rev_1_tdata_2/PAD]]
create_matching_type -name "TLX_OUT_rev_flw_tvalid" -uniquify 0 [list [get_cells bump_array_3_12] [get_pins u_PAD_TLX_flow_rev_1_tvalid/PAD]]




# Left IO
create_matching_type -name "VDD_left" -uniquify 0 [list [get_cells bump_array_10_0] [get_pins u_PAD_VDD_left/VDD]]
create_matching_type -name "VDDIO_left" -uniquify 0 [list [get_cells bump_array_9_0] [get_pins u_PAD_VDDIO_POC_left/VDDPST]]
create_matching_type -name "VSSIO_left" -uniquify 0 [list [get_cells bump_array_8_0] [get_pins u_PAD_VSSIO_left/VSSPST]]
create_matching_type -name "TLX_reset" -uniquify 0 [list [get_cells bump_array_7_0] [get_pins u_PAD_DL_FWD_RESETn/PAD]]
create_matching_type -name "aRESET" -uniquify 0 [list [get_cells bump_array_6_0] [get_pins u_PAD_aRESETn/PAD]]
create_matching_type -name "VSS_left" -uniquify 0 [list [get_cells bump_array_5_0] [get_pins u_PAD_VSS_left/VSS]]
create_matching_type -name "REF_CLK" -uniquify 0 [list [get_cells bump_array_4_0] [get_pins u_PAD_REF_CLK/PAD]]

create_matching_type -name "AGNDHV_left" -uniquify 0 [list [get_cells bump_array_7_1 ] [get_pins u_PAD_AGNDHV_left/AVSS]]
create_matching_type -name "AGND_left" -uniquify 0 [list [get_cells bump_array_6_1 ] [get_pins u_PAD_AGND_left/AVSS]]
create_matching_type -name "AVDD_left" -uniquify 0 [list [get_cells bump_array_5_1 ] [get_pins u_PAD_AVDD_left/AVDD]]
create_matching_type -name "AVDDHV_left" -uniquify 0 [list [get_cells bump_array_4_1 ] [get_pins u_PAD_AVDDHV_left/AVDD]]


# Right IO
create_matching_type -name "VSS_right" -uniquify 0 [list [get_cells bump_array_10_12] [get_pins u_PAD_VSS_right/VSS]]
create_matching_type -name "addr_sel0" -uniquify 0 [list [get_cells bump_array_9_12] [get_pins gen_addr_sel[0].u_PAD_addr_sel/PAD]]
create_matching_type -name "addr_sel1" -uniquify 0 [list [get_cells bump_array_8_12] [get_pins gen_addr_sel[1].u_PAD_addr_sel/PAD]]
create_matching_type -name "addr_sel2" -uniquify 0 [list [get_cells bump_array_7_12] [get_pins gen_addr_sel[2].u_PAD_addr_sel/PAD]]
create_matching_type -name "addr_sel3" -uniquify 0 [list [get_cells bump_array_6_12] [get_pins gen_addr_sel[3].u_PAD_addr_sel/PAD]]
create_matching_type -name "VDD_right" -uniquify 0 [list [get_cells bump_array_4_12] [get_pins u_PAD_VDD_right/VDD]]
create_matching_type -name "VDD_top_right" -uniquify 0 [list [get_cells bump_array_10_11] [get_pins u_PAD_VDD_top_right/VDD]]
create_matching_type -name "VDDIO_right" -uniquify 0 [list [get_cells bump_array_5_12] [get_pins u_PAD_VDDIO_right/VDDPST]]
create_matching_type -name "VSSIO_right" -uniquify 0 [list [get_cells bump_array_7_11] [get_pins u_PAD_VSSIO_right/VSSPST]]



place_io
